import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class ReadLineExcept {
    public static void main(String[] args) {
        try {
    		// The readFirstLine() method might throw a
    		// FileNotFoundException or an IOException
    		String firstLine = readFirstLine("pandp.txt");

    		System.out.println("The first line of pandp.txt is:");
    		System.out.println(firstLine);
		} catch (FileNotFoundException e) {
			System.out.println("Sorry but pandp.txt was not found");
		}catch (IOException e) {
    		System.out.println("Error: " + e.getMessage());
		}
    }
    
    public static String readFirstLine(String fileName) throws IOException {
    	FileReader fr = new FileReader(fileName);
    	BufferedReader br = new BufferedReader(fr);
    	String firstLine = br.readLine();
    	br.close();
    	return firstLine;
    	// Note: there's something wrong with this method -
    	//       see below under "try/finally"
	}
}